Debian Bug report logs - #673165
mapserver: FTBFS with multiarch-ready libgd2

version graph

Package: src:mapserver; Maintainer for src:mapserver is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 16 May 2012 14:57:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version mapserver/6.0.1-3

Fixed in version mapserver/6.0.1-3.1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#673165; Package src:mapserver. (Wed, 16 May 2012 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Wed, 16 May 2012 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: mapserver: FTBFS[armel,kfreebsd-i386,mips]: configure: error: Could not find gd.h or libgd.a/libgd.so in /usr.
Date: Wed, 16 May 2012 16:54:58 +0200
Package: src:mapserver
Version: 6.0.1-3
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

checking for jpeglib.h... yes
        using libjpeg from system libs.
configure: checking where libXpm is installed...
checking for XpmFreeXpmImage in -lXpm... yes
        using libXpm from system libs.
configure: checking where libiconv is installed...
checking for iconv_open in -lc... yes
checking for libiconv_open in -liconv... no
checking for iconv_open in -liconv... no
        using libiconv from system libs.
        libiconv found. Enabling internationalization (-DUSE_ICONV)
configure: checking for GD 2.0.28 or higher...
configure: error: Could not find gd.h or libgd.a/libgd.so in /usr.  Make sure GD 2.0.28 or higher is compiled before calling configure. You may also get this error if you didn't specify the appropriate location for one of GD's dependencies (freetype, libpng, libjpeg or libiconv).
checking for gdImageCreatePaletteFromTrueColor in -lgd... yes
make: *** [configure-stamp] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=mapserver&arch=kfreebsd-i386&ver=6.0.1-3%2Bb1&stamp=1337043503

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#673165; Package src:mapserver. (Fri, 18 May 2012 02:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Fri, 18 May 2012 02:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 673165@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 673165@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#673165: mapserver: FTBFS with multiarch-ready libgd2
Date: Fri, 18 May 2012 03:21:15 +0100
retitle 673165 mapserver: FTBFS with multiarch-ready libgd2
block 645105 by 673165
thanks

Hi,

This FTBFS (actually on all arches now?) because libgd2 since
2.0.36~rc1~dfsg-6.1 uses a multiarch path, where it is not seen by these
checks in configure.in:

>   for GD_DIR in /usr /usr/local
>   do
>     test -f $GD_DIR/include/gd.h && GD_INCLUDE="$GD_DIR/include"
>     test -f $GD_DIR/lib/libgd.a && GD_LIBDIR="$GD_DIR/lib"
>     test -f $GD_DIR/lib64/libgd.a && GD_LIBDIR="$GD_DIR/lib64"
>     test -f $GD_DIR/lib/libgd.so -o -f $GD_DIR/lib/libgd.sl -o -f $GD_DIR/lib/libgd.dylib && GD_LIBDIR="$GD_DIR/lib"
>     test -f $GD_DIR/lib64/libgd.so -o -f $GD_DIR/lib/libgd.sl && GD_LIBDIR="$GD_DIR/lib64"

The path can't be specified from debian/rules via --with-gd because the
includes and libraries must all be there.  So the configure.in must be
modified in some way to look for the static+shared libs in the
appropriate (multiarch) path...

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Changed Bug title to 'mapserver: FTBFS with multiarch-ready libgd2' from 'mapserver: FTBFS[armel,kfreebsd-i386,mips]: configure: error: Could not find gd.h or libgd.a/libgd.so in /usr. ' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 18 May 2012 02:24:04 GMT) Full text and rfc822 format available.

Added indication that bug 673165 blocks 645105 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 18 May 2012 02:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#673165; Package src:mapserver. (Mon, 21 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 21 May 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 673165@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 673165@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#673165: mapserver: FTBFS with multiarch-ready libgd2
Date: Tue, 22 May 2012 01:48:53 +0200
[Message part 1 (text/plain, inline)]
tag 673165 patch pending
thanks

Steven Chamberlain <steven@pyro.eu.org> (18/05/2012):
> This FTBFS (actually on all arches now?) because libgd2 since
> 2.0.36~rc1~dfsg-6.1 uses a multiarch path, where it is not seen by
> these checks in configure.in: […]

That's correct, all archs are affected now.

> The path can't be specified from debian/rules via --with-gd because
> the includes and libraries must all be there.  So the configure.in
> must be modified in some way to look for the static+shared libs in the
> appropriate (multiarch) path...

… or to stop trying to do that entirely.

I've just uploaded a fixed package with the attached source debdiff.
Maintainers, that's a very short notice, but we haven't heard from you
on the bug log, and we badly need fixed packages for gdal. Thanks for
your understanding.

Mraw,
KiBi.
[mapserver+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending and patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 21 May 2012 23:51:04 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 22 May 2012 00:21:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 22 May 2012 00:21:04 GMT) Full text and rfc822 format available.

Message #26 received at 673165-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 673165-close@bugs.debian.org
Subject: Bug#673165: fixed in mapserver 6.0.1-3.1
Date: Tue, 22 May 2012 00:20:06 +0000
Source: mapserver
Source-Version: 6.0.1-3.1

We believe that the bug you reported is fixed in the latest version of
mapserver, which is due to be installed in the Debian FTP archive:

cgi-mapserver_6.0.1-3.1_amd64.deb
  to main/m/mapserver/cgi-mapserver_6.0.1-3.1_amd64.deb
libmapscript-perl_6.0.1-3.1_amd64.deb
  to main/m/mapserver/libmapscript-perl_6.0.1-3.1_amd64.deb
libmapscript-ruby1.8_6.0.1-3.1_amd64.deb
  to main/m/mapserver/libmapscript-ruby1.8_6.0.1-3.1_amd64.deb
libmapscript-ruby1.9.1_6.0.1-3.1_amd64.deb
  to main/m/mapserver/libmapscript-ruby1.9.1_6.0.1-3.1_amd64.deb
libmapscript-ruby_6.0.1-3.1_all.deb
  to main/m/mapserver/libmapscript-ruby_6.0.1-3.1_all.deb
mapserver-bin_6.0.1-3.1_amd64.deb
  to main/m/mapserver/mapserver-bin_6.0.1-3.1_amd64.deb
mapserver-doc_6.0.1-3.1_all.deb
  to main/m/mapserver/mapserver-doc_6.0.1-3.1_all.deb
mapserver_6.0.1-3.1.debian.tar.gz
  to main/m/mapserver/mapserver_6.0.1-3.1.debian.tar.gz
mapserver_6.0.1-3.1.dsc
  to main/m/mapserver/mapserver_6.0.1-3.1.dsc
php5-mapscript_6.0.1-3.1_amd64.deb
  to main/m/mapserver/php5-mapscript_6.0.1-3.1_amd64.deb
python-mapscript_6.0.1-3.1_amd64.deb
  to main/m/mapserver/python-mapscript_6.0.1-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673165@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated mapserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 May 2012 01:28:15 +0200
Source: mapserver
Binary: php5-mapscript libmapscript-perl cgi-mapserver python-mapscript mapserver-bin mapserver-doc libmapscript-ruby libmapscript-ruby1.8 libmapscript-ruby1.9.1
Architecture: source all amd64
Version: 6.0.1-3.1
Distribution: unstable
Urgency: high
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 cgi-mapserver - CGI executable for MapServer
 libmapscript-perl - Perl MapServer module
 libmapscript-ruby - Ruby MapServer library
 libmapscript-ruby1.8 - Ruby MapServer library
 libmapscript-ruby1.9.1 - Ruby MapServer library
 mapserver-bin - MapServer utilities
 mapserver-doc - documentation for MapServer
 php5-mapscript - php5-cgi module for MapServer
 python-mapscript - Python library for MapServer
Closes: 673165
Changes: 
 mapserver (6.0.1-3.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Fix FTBFS with multiarch libgd by just using -lgd instead of trying to
     locate libgd.{a,so}, new patch: multiarch-libgd (Closes: #673165).
   * Set urgency to “high” for the RC bug fix, needed for the gdal transition.
Checksums-Sha1: 
 7a603d1db67ad4b25dd48e6265ebf5b6d1fff8ac 2337 mapserver_6.0.1-3.1.dsc
 8bd7ec275f90e9e65f944a130790d9a64e71a655 27957 mapserver_6.0.1-3.1.debian.tar.gz
 2579ab7eab255546d6e5413259c9e2e8f2ae4b6c 93998 mapserver-doc_6.0.1-3.1_all.deb
 86554bf1f0084d23f387f884f09def08baaa72f1 68580 libmapscript-ruby_6.0.1-3.1_all.deb
 1124ba3cfce62d9b13403299c3695dfa52c80bb7 1023350 php5-mapscript_6.0.1-3.1_amd64.deb
 af5f9bd268cd95392ffb7a24b53624327d8c4392 1178416 libmapscript-perl_6.0.1-3.1_amd64.deb
 81f700cea1bddd3caa7bad54195f4e8d57e21101 820410 cgi-mapserver_6.0.1-3.1_amd64.deb
 40c1862e6e6e8610a3718155f9ad543f476228e8 2033170 python-mapscript_6.0.1-3.1_amd64.deb
 07d0e017f1f9f20414bb022ad3acad58c58cc120 6707006 mapserver-bin_6.0.1-3.1_amd64.deb
 b665f8c2c178570fc8ad635c35caa6a6a959b81b 1082064 libmapscript-ruby1.8_6.0.1-3.1_amd64.deb
 318c3f6142787e55b13d8ac4106543ea39f03cd5 1082388 libmapscript-ruby1.9.1_6.0.1-3.1_amd64.deb
Checksums-Sha256: 
 b99fba94c3150c6756741cf39cc9a49dc2c6121685672ebc9615379f5771329d 2337 mapserver_6.0.1-3.1.dsc
 93dea4c4cfec35bce35af6c8289f752fcc89ccf20bc5d9c7ae408b1b5e366af8 27957 mapserver_6.0.1-3.1.debian.tar.gz
 02130946c2d7c187533fd174af837992e87695b3f283cb63bbdcfe86be838a18 93998 mapserver-doc_6.0.1-3.1_all.deb
 6caec9bd787ede9adb9ed2f5bd45c514961c16417ff644fb5a2ebcdc67a43427 68580 libmapscript-ruby_6.0.1-3.1_all.deb
 c6ad25bc1f0b6f9185f51c792364aaa0aa5d7707b0b037aa93707a367508668f 1023350 php5-mapscript_6.0.1-3.1_amd64.deb
 1ce48f939ce99c7eaf276624f01ca595c930414813aaa873b695a7caa96abc5b 1178416 libmapscript-perl_6.0.1-3.1_amd64.deb
 0ec46f451079efc4ce9d7e5866b91d02b2b39441622d512fc6fde0d97eb2b0ad 820410 cgi-mapserver_6.0.1-3.1_amd64.deb
 3298c7f2c6e446537141e98900ed699ab4417eb5171a83c8636f5f41885d4c5c 2033170 python-mapscript_6.0.1-3.1_amd64.deb
 37674150bd08ac51639c382635118814978f87e3d1718a521b2d450fbd02fa70 6707006 mapserver-bin_6.0.1-3.1_amd64.deb
 7f97aeb289742d3720917e37f3abfb91b26f39bab0308d4f98c455f405d74c30 1082064 libmapscript-ruby1.8_6.0.1-3.1_amd64.deb
 bf9b91c0d8a7b28dc4528eb90612d2c05ac98527b04ee8caa2d5912cf6493391 1082388 libmapscript-ruby1.9.1_6.0.1-3.1_amd64.deb
Files: 
 eeb795e21da59f56fdbe3b4c36523b20 2337 devel optional mapserver_6.0.1-3.1.dsc
 cdadbb315520244510e68fe7af755cae 27957 devel optional mapserver_6.0.1-3.1.debian.tar.gz
 042f8f48cac7e4eb763084594a9d70a1 93998 doc optional mapserver-doc_6.0.1-3.1_all.deb
 86a80832c7590858c0dc43ee32fe786e 68580 ruby optional libmapscript-ruby_6.0.1-3.1_all.deb
 a7995d496df204d395498364e6732f1e 1023350 php optional php5-mapscript_6.0.1-3.1_amd64.deb
 8eaecffe46c0f74e5df1da9c3b666da6 1178416 perl optional libmapscript-perl_6.0.1-3.1_amd64.deb
 9538e08c6400db3217cfa500d2ece82c 820410 web optional cgi-mapserver_6.0.1-3.1_amd64.deb
 5225b3939957869702148621a72ad2bb 2033170 python optional python-mapscript_6.0.1-3.1_amd64.deb
 8ee1e76ec869058f6eaa17656954db9b 6707006 misc optional mapserver-bin_6.0.1-3.1_amd64.deb
 34a8ee484a29475d8d668718e9c94f5a 1082064 ruby optional libmapscript-ruby1.8_6.0.1-3.1_amd64.deb
 2dcff1497451879f8e7eee57da89b163 1082388 ruby optional libmapscript-ruby1.9.1_6.0.1-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+601MACgkQeGfVPHR5Nd0ebwCcCMkiFkaFcLQ6GXtdwktEUvNS
Vk4AoLo/kuIa4ok7RN+o8VCTy/Ygs6Xu
=qeZj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Jul 2012 07:42:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:39:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.